Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class Shape

    java.lang.Object
      jet.api.Shape

Direct Known Subclasses:
  Arc, Box, Line, Oval, RoundBox

    public abstract class Shape

extends java.lang.Object

Class Shape wraps a basic shape section's information. It defines all common properties of the `Line`, `Box`, `RoundBox`, `Oval`, and `Arc`. Shape can only be inserted into banded sections.

Constructor Summary
`Shape()`

Method Summary
`java.lang.String` | `getBottomAttach()` Gets the bottom attached section handle.
`double` | `getBottomAttachX()` Gets X position of the bottom attached section.
`double` | `getBottomAttachY()` Gets Y position of the bottom attached section
`int` | `getShapeType()` Gets shape type of section.
`java.lang.String` | `getTopAttach()` Gets the top attached section's handle.
`double` | `getTopAttachX()` Gets X position of the top attached section
`double` | `getTopAttachY()` Gets Y position of the top attached section.
`void` | `setBottomAttach(java.lang.String bottomAttach)` Sets the bottom attached section handle.
`void` | `setBottomAttachX(double bottomAttachX)` Sets X position of the bottom attached section.
`void` | `setBottomAttachY(double bottomAttachY)` Sets Y position of the bottom attached section.
`void` | `setTopAttach(java.lang.String topAttach)` Sets the top attached section's handle.
`void` | `setTopAttachX(double topAttachX)` Sets X position of the top attached section.
`void` | `setTopAttachY(double topAttachY)` Sets Y position of the top attached section Specifies the vertical coordinate of the top left point of the box in a banded panel.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shape

    public Shape()

Method Detail

### setTopAttach

    public void setTopAttach(java.lang.String topAttach)

  Sets the top attached section's handle.

  Parameters:
    `topAttach` - The handle of the top attached section.

### getTopAttach

    public java.lang.String getTopAttach()

  Gets the top attached section's handle.

  Returns:
    the handle of the top attached section.

### setBottomAttach

    public void setBottomAttach(java.lang.String bottomAttach)

  Sets the bottom attached section handle.

  Parameters:
    `bottomAttach` - The handle of the bottom attached section.

### getBottomAttach

    public java.lang.String getBottomAttach()

  Gets the bottom attached section handle.

  Returns:
    the handle of the bottom attached section.

### setTopAttachX

    public void setTopAttachX(double topAttachX)

  Sets X position of the top attached section. Specifies the horizontal coordinate of the top left point of the box in a banded panel. A shape can cross panels and the coordinate indicates the relative position in the involved panel.

  Parameters:
    `topAttachX` - Value of X position.

### getTopAttachX

    public double getTopAttachX()

  Gets X position of the top attached section

  Returns:
    value of X position. The unit of the value can be set by `#API.setUnit(int)`, and the default unit is inch.

### setBottomAttachX

    public void setBottomAttachX(double bottomAttachX)

  Sets X position of the bottom attached section. Specifies the horizontal coordinate of the bottom right point of the box in a banded panel. A shape can cross panels and the coordinate indicates the relative position in the involved panel.

  Parameters:
    `bottomAttachX` - Value of X position. The unit of the value can be set by `#API.setUnit(int)`, and the default unit is inch.

### getBottomAttachX

    public double getBottomAttachX()

  Gets X position of the bottom attached section.

  Returns:
    bottomAttachX Value of X position. The unit of the value can be set by `#API.setUnit(int)`, and the default unit is inch.

### setTopAttachY

    public void setTopAttachY(double topAttachY)

  Sets Y position of the top attached section Specifies the vertical coordinate of the top left point of the box in a banded panel. A shape can cross panels and the coordinate indicates the relative position in the involved panel.

  Parameters:
    `topAttachY` - Value of Y position. The unit of the value can be set by `#API.setUnit(int)`, and the default unit is inch.

### getTopAttachY

    public double getTopAttachY()

  Gets Y position of the top attached section.

  Returns:
    value of Y position. The unit of the value can be set by `#API.setUnit(int)`, and the default unit is inch.

### setBottomAttachY

    public void setBottomAttachY(double bottomAttachY)

  Sets Y position of the bottom attached section. Specifies the vertical coordinate of the bottom right point of the box in a banded panel. A shape can cross panels and the coordinate indicates the relative position in the involved panel.

  Parameters:
    `bottomAttachY` - Value of Y position. The unit of the value can be set by `#API.setUnit(int)`, and the default unit is inch.

### getBottomAttachY

    public double getBottomAttachY()

  Gets Y position of the bottom attached section

  Returns:
    value of Y position. The unit of the value can be set by `#API.setUnit(int)`, and the default unit is inch.

### getShapeType

    public int getShapeType()

  Gets shape type of section. Useful constants for shape type:
  - `Designer.ARC`
  - `Designer.BOX`
  - `Designer.LINE`
  - `Designer.OVAL`
  - `Designer.ROUNDBOX`

  Returns:
    shape type's int value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD